Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 637210 - sys-devel/llvm-4.0.1: stablereq
Summary: sys-devel/llvm-4.0.1: stablereq
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: LLVM support project
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 650930
Blocks: 640044 641024
  Show dependency tree
 
Reported: 2017-11-12 09:37 UTC by Michał Górny
Modified: 2018-04-21 12:05 UTC (History)
4 users (show)

See Also:
Package list:
sys-devel/llvm-common-4.0.1 amd64 arm x86 dev-python/lit-4.0.1 amd64 arm x86 sys-devel/llvm-4.0.1-r1 amd64 arm x86 sys-devel/llvmgold-4 amd64 arm x86 sys-devel/clang-4.0.1 amd64 x86 sys-libs/compiler-rt-4.0.1 amd64 x86 sys-libs/compiler-rt-sanitizers-4.0.1 amd64 x86 sys-libs/llvm-libunwind-4.0.1 amd64 x86 sys-libs/libcxxabi-4.0.1 amd64 x86 sys-libs/libcxx-4.0.1 amd64 x86 sys-libs/libomp-4.0.1 amd64 x86 sys-devel/clang-runtime-4.0.1 amd64 x86 dev-python/psutil-5.4.1 arm app-portage/unsandbox-2 amd64 arm x86 sys-libs/libcxxrt-0.0_p20170515 amd64
Runtime testing required: No
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2017-11-12 09:37:07 UTC
3.9 is way old, so let's finally get 4.0 stable. I think some test failures are to be expected here, will confirm in a minute or two.
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2017-11-12 13:33:31 UTC
Arch teams, please proceed.

sys-devel/llvm & sys-devel/clang should pass all tests. Please disregard test failures in other packages, they're improvement over the current stable version anyway.
Comment 2 Stabilization helper bot gentoo-dev 2017-11-12 14:02:54 UTC
An automated check of this bug failed - repoman reported dependency errors (19 lines truncated): 

> dependency.bad dev-python/lit/lit-4.0.1.ebuild: DEPEND: arm(default/linux/arm/13.0) ['dev-python/psutil[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]']
> dependency.bad sys-libs/compiler-rt-sanitizers/compiler-rt-sanitizers-4.0.1.ebuild: DEPEND: amd64(default/linux/amd64/13.0) ['app-portage/unsandbox']
> dependency.bad sys-libs/compiler-rt-sanitizers/compiler-rt-sanitizers-4.0.1.ebuild: DEPEND: amd64(default/linux/amd64/13.0/desktop) ['app-portage/unsandbox']
> dependency.bad sys-libs/compiler-rt-sanitizers/compiler-rt-sanitizers-4.0.1.ebuild: DEPEND: amd64(default/linux/amd64/13.0/desktop/gnome) ['app-portage/unsandbox']
Comment 3 Stabilization helper bot gentoo-dev 2017-11-12 16:00:50 UTC
An automated check of this bug failed - the following atom is unknown:

dev-python/psutil-4.0.1

Please verify the atom list.
Comment 4 Stabilization helper bot gentoo-dev 2017-11-12 19:03:53 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 5 Thomas Deutschmann gentoo-dev Security 2017-11-19 19:19:05 UTC
x86 stable, ignored test failure in =sys-libs/libomp-4.0.1 (bug 638162).
Comment 6 Matt Turner gentoo-dev 2017-12-14 22:44:53 UTC
amd64 stable
Comment 7 Stabilization helper bot gentoo-dev 2018-01-06 13:01:30 UTC
An automated check of this bug failed - the following atom is unknown:

dev-python/psutil-5.2.2

Please verify the atom list.
Comment 8 Stabilization helper bot gentoo-dev 2018-01-06 14:01:12 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 9 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-01-17 19:24:15 UTC
@arm, given that I've started stabilization for 5.0.1, please decide if you want to have slot 4 stable as well. If not, please close this bug and focus on LLVM 5.
Comment 10 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-04-21 12:05:36 UTC
arm stable